#include "AnswerId.h"
#include "core/CoreIncludes.h"


namespace orxonox{

	RegisterClass(AnswerId);

	AnswerId::AnswerId(Context* context) : BaseObject(context)
	{
		RegisterObject(AnswerId);
	}

	void AnswerId::XMLPort(Element& xmlelement, XMLPort::Mode mode)
	{
		SUPER(AnswerId, XMLPort, xmlelement, mode);

		XMLPortParam(AnswerId, "Id", setId, getId, xmlelement, mode);
	}

	void AnswerId::setId(std::string id)
	{
		this->id_ = id;
	}
	
	std::string AnswerId::getId()
	{
		return this->id_;
	}
}