#ifndef _DialogManager_H__
#define _DialogManager_H__

#include "DialogPrereqs.h"
#include "util/Singleton.h"
#include "core/object/Listable.h"
#include "Dialog.h"

namespace orxonox
{
    class _DialogExport DialogManager : public Singleton<DialogManager>, public Listable
    {
        friend class Singleton<DialogManager>;

        public:
            DialogManager();

           // int getValue() const { return this->value_; }

        	static DialogManager& getInstance() { return Singleton<DialogManager>::getInstance(); } //toloa_export

       	 	void setDialog(Dialog* dialog);
        	const Dialog* getCurrentDialog();
       		bool empty();

            //form here on all lua functionality used in lua scrips is declared


        private:
        	Dialog* currentTalk_;
            //int value_;

            static DialogManager* singletonPtr_s;
    };
}

#endif /* _DialogManager_H__ */